TreeOutcomes (scheduler-portlet 2.1.0-SNAPSHOT API)
Date: 2014-05-05

org.gcube.datatransfer.portlets.user.client.obj

## Class TreeOutcomes

- java.lang.Object
- - org.gcube.datatransfer.portlets.user.client.obj.TreeOutcomes

-     public class TreeOutcomes
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `destID`
    `String` | `exception`
    `String` | `failure`
    `String` | `id`
    `String` | `readTrees`
    `String` | `sourceID`
    `String` | `success`
    `String` | `totalMessage`
    `String` | `writtenTrees`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeOutcomes()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDestID()`
    `String` | `getException()`
    `String` | `getFailure()`
    `String` | `getId()`
    `String` | `getReadTrees()`
    `String` | `getSourceID()`
    `String` | `getSuccess()`
    `String` | `getTotalMessage()`
    `String` | `getWrittenTrees()`
    `void` | `setDestID(String destID)`
    `void` | `setException(String exception)`
    `void` | `setFailure(String failure)`
    `void` | `setId(String id)`
    `void` | `setReadTrees(String readTrees)`
    `void` | `setSourceID(String sourceID)`
    `void` | `setSuccess(String success)`
    `void` | `setTotalMessage(String totalMessage)`
    `void` | `setWrittenTrees(String writtenTrees)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          public String id

    - #### sourceID

          public String sourceID

    - #### destID

          public String destID

    - #### success

          public String success

    - #### failure

          public String failure

    - #### readTrees

          public String readTrees

    - #### writtenTrees

          public String writtenTrees

    - #### exception

          public String exception

    - #### totalMessage

          public String totalMessage

  - ### Constructor Detail

    - #### TreeOutcomes

          public TreeOutcomes()

  - ### Method Detail

    - #### getSuccess

          public String getSuccess()

    - #### getFailure

          public String getFailure()

    - #### getTotalMessage

          public String getTotalMessage()

    - #### setSuccess

          public void setSuccess(String success)

    - #### setFailure

          public void setFailure(String failure)

    - #### setTotalMessage

          public void setTotalMessage(String totalMessage)

    - #### getSourceID

          public String getSourceID()

    - #### getDestID

          public String getDestID()

    - #### getReadTrees

          public String getReadTrees()

    - #### getWrittenTrees

          public String getWrittenTrees()

    - #### getException

          public String getException()

    - #### setSourceID

          public void setSourceID(String sourceID)

    - #### setDestID

          public void setDestID(String destID)

    - #### setReadTrees

          public void setReadTrees(String readTrees)

    - #### setWrittenTrees

          public void setWrittenTrees(String writtenTrees)

    - #### setException

          public void setException(String exception)

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

Copyright © 2014. All Rights Reserved.